<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <div class="panel panel-default">
                    <div class="panel-heading">Rule Details</div>
                    <div class="panel-body">
                        <p>
                            <label><b>Name: </b> {{Rule?.ruleName}}</label>
                        </p>
                        <p>
                            <label><b>Content Type:</b> {{Rule?.ruleContentTypeMappingDTO.contentTypeName}}</label>
                        </p>
                        <p>&nbsp;</p>
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th>Field Name</th>
                                    <th>Required</th>
                                    <th>Translatable</th>
                                    <th>Max Char</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor=" let field of responseDTOSet?.ruleContentTypeMappingDTO.contentTypeField">
                                    <td> {{field.fieldName}}</td>
                                    <td>
                                        {{field.validatorDTO.required}}
                                    </td>
                                    <td>
                                        {{field.validatorDTO.translatable}}
                                    </td>
                                    <td style="width:20%">
                                        {{field.validatorDTO.maxChar}}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class=" row btn-group">
    <div class="col-12 ">
        <button class="btn btn-default" (click)="goBack()">Back</button>
        <button class="btn btn-primary" (click)="editRoute()">Edit</button>
    </div>
</div>
